GET
/
agents
/
{agentId}
/
env-vars
List agent environment variables
curl --request GET \
  --url https://your_salambo_base_url/api/v1/agents/{agentId}/env-vars \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "object": "<string>",
      "name": "<string>",
      "is_secret": true,
      "allowed_hosts": [
        "<string>"
      ],
      "expose_to": [],
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "plain_value": "<string>",
      "description": "<string>",
      "created_at": 123,
      "updated_at": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required

Response

Environment-variable list

object
string
required
Allowed value: "list"
data
object[]
required